
From: Pat Gefre <pfg@sgi.com>

Fix the last patch - missed an IS_PIC_SOFT and needed the CG definition



---

 25-akpm/include/asm-ia64/sn/ksys/l1.h    |    1 +
 25-akpm/include/asm-ia64/sn/pci/bridge.h |    8 ++------
 2 files changed, 3 insertions(+), 6 deletions(-)

diff -puN include/asm-ia64/sn/ksys/l1.h~sn17 include/asm-ia64/sn/ksys/l1.h
--- 25/include/asm-ia64/sn/ksys/l1.h~sn17	Thu Jan  8 15:18:50 2004
+++ 25-akpm/include/asm-ia64/sn/ksys/l1.h	Thu Jan  8 15:18:50 2004
@@ -90,6 +90,7 @@
 #define L1_BRICKTYPE_IP45       0x34            /* 4 */
 #define L1_BRICKTYPE_C          0x43            /* C */
 #define L1_BRICKTYPE_R          0x52            /* R */
+#define L1_BRICKTYPE_CHI_CG	0x76		/* v */
 #define L1_BRICKTYPE_N          0x4e            /* N */
 #define L1_BRICKTYPE_PX		0x23		/* # */
 #define L1_BRICKTYPE_IX		0x3d		/* = */
diff -puN include/asm-ia64/sn/pci/bridge.h~sn17 include/asm-ia64/sn/pci/bridge.h
--- 25/include/asm-ia64/sn/pci/bridge.h~sn17	Thu Jan  8 15:18:50 2004
+++ 25-akpm/include/asm-ia64/sn/pci/bridge.h	Thu Jan  8 15:18:50 2004
@@ -916,12 +916,8 @@ typedef volatile struct bridge_s {
 
 #define PCIBR_TYPE1_CFG(ps)         PCIBRIDGE_TYPE1_CFG((ps)->bs_busnum)
 #define PCIBR_BUS_TYPE0_CFG_DEV0(ps) PCIBR_TYPE0_CFG_DEV(ps, 0)
-#define PCIBR_TYPE0_CFG_DEV(ps, s) \
-    ((IS_PIC_SOFT(ps)) ? PCIBRIDGE_TYPE0_CFG_DEV((ps)->bs_busnum, s+1) : \
-		  	     PCIBRIDGE_TYPE0_CFG_DEV((ps)->bs_busnum, s))
-#define PCIBR_BUS_TYPE0_CFG_DEVF(ps,s,f) \
-    ((IS_PIC_SOFT(ps)) ? PCIBRIDGE_TYPE0_CFG_DEVF((ps)->bs_busnum,(s+1),f) : \
-			     PCIBRIDGE_TYPE0_CFG_DEVF((ps)->bs_busnum,s,f))
+#define PCIBR_TYPE0_CFG_DEV(ps, s) PCIBRIDGE_TYPE0_CFG_DEV((ps)->bs_busnum, s+1)
+#define PCIBR_BUS_TYPE0_CFG_DEVF(ps,s,f) PCIBRIDGE_TYPE0_CFG_DEVF((ps)->bs_busnum,(s+1),f)
 
 #endif				/* LANGUAGE_C */
 

_
